<script lang="ts">
	import { cn } from "$lib/utils";

	let {
		wrapperClass = "",
		containerClass = "flex w-full flex-col gap-4",
		children,
	}: {
		wrapperClass?: string;
		containerClass?: string;
		children?: any;
	} = $props();
</script>

<section
	class={cn(
		"rounded-xl border-2 border-border/30 from-brand-50 to-brand-100 p-8 drop-shadow-lg",
		containerClass,
		wrapperClass,
	)}
>
	{@render children?.()}
</section>
